org.springframework.test.context.junit4.statements

## Class RunBeforeTestMethodCallbacks

- java.lang.Object
- - org.junit.runners.model.Statement
  - - org.springframework.test.context.junit4.statements.RunBeforeTestMethodCallbacks

    public class RunBeforeTestMethodCallbacks
    extends org.junit.runners.model.Statement

`RunBeforeTestMethodCallbacks` is a custom JUnit 4.5+ `Statement` which allows the Spring TestContext Framework to be plugged into the JUnit execution chain by calling `beforeTestMethod()` on the supplied `TestContextManager`.

Since:
  3.0
Author:
  Sam Brannen
See Also:
  `evaluate()`, `RunAfterTestMethodCallbacks`

### Constructor Summary

Constructors
Constructor and Description
`RunBeforeTestMethodCallbacks(org.junit.runners.model.Statement next, Object testInstance, Method testMethod, TestContextManager testContextManager)` Constructs a new `RunBeforeTestMethodCallbacks` statement.

### Method Summary

Methods
`void` `evaluate()` Calls `TestContextManager.beforeTestMethod(Object, Method)` and then invokes the next `Statement` in the execution chain (typically an instance of `RunBefores`).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RunBeforeTestMethodCallbacks

    public RunBeforeTestMethodCallbacks(org.junit.runners.model.Statement next,
                                Object testInstance,
                                Method testMethod,
                                TestContextManager testContextManager)

Constructs a new `RunBeforeTestMethodCallbacks` statement.

Parameters:
  `next` - the next `Statement` in the execution chain
  `testInstance` - the current test instance (never `null`)
  `testMethod` - the test method which is about to be executed on the test instance
  `testContextManager` - the TestContextManager upon which to call `beforeTestMethod()`

### Method Detail

#### evaluate

    public void evaluate()
                  throws Throwable

Calls `TestContextManager.beforeTestMethod(Object, Method)` and then invokes the next `Statement` in the execution chain (typically an instance of `RunBefores`).

Specified by:
  `evaluate` in class `org.junit.runners.model.Statement`
Throws:
  `Throwable`